
DECLARE
	
	n_count NUMBER;
	r_count NUMBER;
	e_count NUMBER;

BEGIN
	
	select count(*)
	into n_count
	from Gwtm_Standard_Xml
	where xml_name = 'NO_ROUTE_CONTROL_MSG';
	
	select count(*)
	into r_count
	from Gwtm_Standard_Xml
	where xml_name = 'ROUTE_CONTROL_MSG';
	
	select count(*)
	into e_count
	from Gwtm_Standard_Xml
	where xml_name = 'ERROR_MSG';
	
	IF n_count = 0
	THEN
		insert into Gwtm_Standard_Xml (XML_NAME, MESSAGE)
		values ('NO_ROUTE_CONTROL_MSG', '<?xml version="1.0"?>
		<FCUBS_CONTROL_METADATA>
		<COMM_DET>
			<GATEWAY>GATEWAY</GATEWAY>
			<REQ_QUEUE>REQ_QUEUE</REQ_QUEUE>
			<REQ_Q_MSG_ID>REQ_Q_MSG_ID</REQ_Q_MSG_ID>
			<REQ_Q_CORR_ID>REQ_Q_CORR_ID</REQ_Q_CORR_ID>
			<RESP_QUEUE>RESP_QUEUE</RESP_QUEUE>
			<IS_ROUTE_REQ>IS_ROUTE_REQ</IS_ROUTE_REQ>
			<CONNECTION_NAME>CONNECTION_NAME</CONNECTION_NAME>
			<CORRELATION_PATTERN>CORRELATION_PATTERN</CORRELATION_PATTERN>
			<MSG_XCHANGE_PATTERN>MSG_XCHANGE_PATTERN</MSG_XCHANGE_PATTERN>
			<MSG_ID>MSG_ID</MSG_ID>
			<CORREL_ID>CORREL_ID</CORREL_ID>
			<GEN_REQ_MSG_REF>GEN_REQ_MSG_REF</GEN_REQ_MSG_REF>
			<GEN_RESP_MSG_REF>GEN_RESP_MSG_REF</GEN_RESP_MSG_REF>
			<SOURCE_USER>SOURCE_USER</SOURCE_USER>
			<IS_RESP_Q_MSG_ID_REQ>IS_RESP_Q_MSG_ID_REQ</IS_RESP_Q_MSG_ID_REQ>
			<RESP_Q_MSG_ID>RESP_Q_MSG_ID</RESP_Q_MSG_ID>
			<RESP_Q_CORREL_ID>RESP_Q_CORREL_ID</RESP_Q_CORREL_ID>
			<BRN_APP_DATE>BRN_APP_DATE</BRN_APP_DATE>
			<FC_TRN_REF_NO>FC_TRN_REF_NO</FC_TRN_REF_NO>
			<ERR_CODE>ERR_CODE</ERR_CODE>
			<ERR_PARAM>ERR_PARAM</ERR_PARAM>
			<XSD_NAME>XSD_NAME</XSD_NAME>
			<XSD_VAL_REQD>XSD_VAL_REQD</XSD_VAL_REQD>
			<FORMAT>FORMAT</FORMAT>
		</COMM_DET>
		<MSG_PROC_DET>
			<UBSCOMP>UBSCOMP</UBSCOMP>
			<SOURCE>SOURCE</SOURCE>
			<SERVICE>SERVICE</SERVICE>
			<OPERATION>OPERATION</OPERATION>
			<SOURCE_OPERATION>SOURCE_OPERATION</SOURCE_OPERATION>
			<USERID>USERID</USERID>
			<BRANCH>BRANCH</BRANCH>
			<FUNCTIONID>FUNCTIONID</FUNCTIONID>
			<ACTION>ACTION</ACTION>
			<MULTITRIPID>MULTITRIPID</MULTITRIPID>
		</MSG_PROC_DET>
		</FCUBS_CONTROL_METADATA>
		');
	END IF;
	IF r_count = 0
	THEN
		insert into Gwtm_Standard_Xml (XML_NAME, MESSAGE)
		values ('ROUTE_CONTROL_MSG', '<?xml version="1.0"?>
		<FCUBS_CONTROL_METADATA>
		<COMM_DET>
			<GATEWAY>GATEWAY</GATEWAY>
			<REQ_QUEUE>REQ_QUEUE</REQ_QUEUE>
			<REQ_Q_MSG_ID>REQ_Q_MSG_ID</REQ_Q_MSG_ID>
			<REQ_Q_CORR_ID>REQ_Q_CORR_ID</REQ_Q_CORR_ID>
			<RESP_QUEUE>RESP_QUEUE</RESP_QUEUE>
			<IS_ROUTE_REQ>IS_ROUTE_REQ</IS_ROUTE_REQ>
			<CONNECTION_NAME>CONNECTION_NAME</CONNECTION_NAME>
			<CORRELATION_PATTERN>CORRELATION_PATTERN</CORRELATION_PATTERN>
			<MSG_XCHANGE_PATTERN>MSG_XCHANGE_PATTERN</MSG_XCHANGE_PATTERN>
			<MSG_ID>MSG_ID</MSG_ID>
			<CORREL_ID>CORREL_ID</CORREL_ID>
			<GEN_REQ_MSG_REF>GEN_REQ_MSG_REF</GEN_REQ_MSG_REF>
			<GEN_RESP_MSG_REF>GEN_RESP_MSG_REF</GEN_RESP_MSG_REF>
			<SOURCE_USER>SOURCE_USER</SOURCE_USER>
			<IS_RESP_Q_MSG_ID_REQ>IS_RESP_Q_MSG_ID_REQ</IS_RESP_Q_MSG_ID_REQ>
			<RESP_Q_MSG_ID>RESP_Q_MSG_ID</RESP_Q_MSG_ID>
			<RESP_Q_CORREL_ID>RESP_Q_CORREL_ID</RESP_Q_CORREL_ID>
			<BRN_APP_DATE>BRN_APP_DATE</BRN_APP_DATE>
			<FC_TRN_REF_NO>FC_TRN_REF_NO</FC_TRN_REF_NO>
			<ERR_CODE>ERR_CODE</ERR_CODE>
			<ERR_PARAM>ERR_PARAM</ERR_PARAM>
			<XSD_NAME>XSD_NAME</XSD_NAME>
			<XSD_VAL_REQD>XSD_VAL_REQD</XSD_VAL_REQD>
			<FORMAT>FORMAT</FORMAT>
			<DISTRIBUTED_INSTALLATION>DISTRIBUTED_INSTALLATION</DISTRIBUTED_INSTALLATION>
		</COMM_DET>
		<MSG_PROC_DET>
			<UBSCOMP>UBSCOMP</UBSCOMP>
			<SOURCE>SOURCE</SOURCE>
			<SERVICE>SERVICE</SERVICE>
			<OPERATION>OPERATION</OPERATION>
			<SOURCE_OPERATION>SOURCE_OPERATION</SOURCE_OPERATION>
			<USERID>USERID</USERID>
			<BRANCH>BRANCH</BRANCH>
			<FUNCTIONID>FUNCTIONID</FUNCTIONID>
			<ACTION>ACTION</ACTION>
			<MULTITRIPID>MULTITRIPID</MULTITRIPID>
		</MSG_PROC_DET>
		</FCUBS_CONTROL_METADATA>
		');
	END IF;
	IF e_count = 0
	THEN
		insert into Gwtm_Standard_Xml (XML_NAME, MESSAGE)
		values ('ERROR_MSG', '<?xml version="1.0"?>
		<FCUBS_RES_ENV>
		<FCUBS_HEADER>
			<SOURCE>SOURCE</SOURCE>
			<UBSCOMP>UBSCOMP</UBSCOMP>
			<MSGID>MSGID</MSGID>
			<CORRELID>CORRELID</CORRELID>
			<USERID>USERID</USERID>
			<BRANCH>BRANCH</BRANCH>
			<MODULEID>MODULEID</MODULEID>
			<SERVICE>SERVICE</SERVICE>
			<OPERATION>OPERATION</OPERATION>
			<SOURCE_OPERATION>SOURCE_OPERATION</SOURCE_OPERATION>
			<SOURCE_USERID>SOURCE_USERID</SOURCE_USERID>
			<DESTINATION>DESTINATION</DESTINATION>
			<MSGSTAT>FAILURE</MSGSTAT>
		</FCUBS_HEADER>
		<FCUBS_BODY>
			<FCUBS_ERROR_RESP>
			<ERROR>
				<ECODE>ECODE</ECODE>
				<EDESC>EDESC</EDESC>
			</ERROR>
			</FCUBS_ERROR_RESP>
		</FCUBS_BODY>
		</FCUBS_RES_ENV>
		');
	END IF;
	
END;
/
COMMIT;
/