CREATE OR REPLACE FUNCTION fn_error_handler(octcode   IN NUMBER,
                                            errcode   IN NUMBER,
                                            statement IN VARCHAR2,
                                            resync    IN NUMBER)
  RETURN NUMBER AUTHID CURRENT_USER is
  retcode NUMBER := DBMS_PDB_APP_CON.SYNC_ERROR_NOT_OK;
BEGIN
  IF errcode IN (24344,6512,65297,65272,65274,4045,1,2264,1430,1434,955,4063,942,4043,65215,2260,904,4023,6510,4097,6508,4088) THEN
    retcode := DBMS_PDB_APP_CON.SYNC_ERROR_OK_ALWAYS;
  END IF;
  RETURN retcode;
END;
/